Loading...
Searching...
No Matches
SigHandlersList.h File Reference

SigHandlersList is a Singleton class that maps signal number to a set of EventHandlers listening for the delivery of the signal. More...

`#include <signal.h>`
`#include <errno.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include "assa/SigHandler.h"`
`#include <set>`

Go to the source code of this file.

## Classes

class | ASSA::CFUNC_Handler
| CFUNC_Handler class. More...
class | ASSA::SigHandlersList
| SigHandlersList class. More...
struct | ASSA::SigHandlersList::CompSHL

## Namespaces

namespace | ASSA

## Detailed Description

SigHandlersList is a Singleton class that maps signal number to a set of EventHandlers listening for the delivery of the signal.

Definition in file SigHandlersList.h.